=begin
Copyright 2013, Chris Fullmer
All Rights Reserved

Disclaimer
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

License
This software is distributed under the Smustard End User License Agreement
http://www.smustard.com/eula

Information
Author - Chris Fullmer
Organization - www.ChrisFullmer.com and distributed on www.sketchup.com
Name - Centerpoint Finder
SU Version - 2013, 8, 7

Description
Center a group or component on the model origin.

Usage
Activate this tool from Plugins>Cris Fullmer Tools>Centor on Origin.  It only works with groups 
and components, and you can only center one at a time.  It does not rotate or change the scale of the object.

History
1.0:: 2009-04-29
   * First release
1.1.0:: 2013-05-06
   * Update for EW  
=end

module CLF_Extensions_NS
  
  module CLF_Center_on_Origin

    require 'sketchup.rb'
    require 'extensions.rb'
    
    NAME = "clf_center_on_origin"
    UNAME = "CLF Center on Origin"
    MENU_NAME = "Center on Origin"
    version = "1.1.0"              # EDIT
    desc = 'This plugin will center components and/or groups onto the model origin 0,0,0.'
    copy_year = "2013"
    author = "Chris Fullmer"
    
#------edit above--------------------------------------------------------------- 

    
    extension = SketchupExtension.new UNAME, NAME+"/"+NAME+"_menus.rb"

    #The name= method sets the name which appears for an extension inside the Extensions Manager dialog.
    extension.name = UNAME

    # The description= method sets the long description which appears beneath an extension inside the Extensions Manager dialog.
    extension.description = desc + "  Access it via Plugins > Chris Fullmer Tools > "+MENU_NAME

    # The version method sets the version which appears beneath an extension inside the Extensions Manager dialog.
    extension.version = version

    # Create an entry in the Extension list that loads a script called
    # stairTools.rb.
    extension.copyright = copy_year
     
    # The creator= method sets the creator string which appears beneath an extension inside the Extensions Manager dialog.
    extension.creator = author

    # The register_extension method is used to register an extension with SketchUp's extension manager (in SketchUp preferences).
    Sketchup.register_extension( extension, true )
    
  end
  
end # module