# See the loader file for license and author info

module CLF_Extensions_NS

  module CLF_Center_on_Origin

    def self.start
      model = Sketchup.active_model
      sel = model.selection
      sela = sel.to_a
      to_move = []
      sela.each do |e|
        if e.is_a?(Sketchup::Group) || e.is_a?(Sketchup::ComponentInstance)
        to_move << e
        end
      end
      
      if to_move.length == 0 
        UI.messagebox "Please select at least one group of component first."
        return
      end
      model.start_operation MENU_NAME
      to_move.each do |comp|
        point = comp.bounds.center
        vector = point.vector_to [0,0,0]
        t = Geom::Transformation.translation vector
        comp.transform! t
      end
    end # start
    
  end # module
end